* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --primaryblue: #047aed;
  --secondaryblue: #065eb5;
}

body {
  font-family: nunito;
  line-height: 1.6;
  color: #333;
}

nav ul {
  list-style-type: none;
}
a {
  text-decoration: none;
  text-transform: none;
  color: #333;
}

h1 h2 {
  margin: 10px 0;
  font-weight: 700;
  line-height: 1.2;
}

p {
  margin: 10px 0;
  font-weight: 400;
  font-size: medium;
}

img {
  width: 100%;
}

.navbar {
  background: var(--primaryblue);
  color: white;
  height: 70px;
}
.navtext {
  animation: slidetop 1s ease-in;
}

.container {
  max-width: 1100px;
  margin: 0 auto;
  overflow: auto;
  padding: 0 40px;
}

.navbar .flex {
  justify-content: space-between;
}
.flex {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.navbar ul {
  display: flex;
}

.navbar a {
  color: white;
  padding: 10px;
  margin: 0 5px;
}
.navbar a:hover {
  border-radius: 10px;
  color: black;
  background: #89bff5;
  transition-property: background;
  transition-duration: 1s;
}

/* form styling */
.clothkq {
  border-top: 1px solid #8cafcb;
  color: white;
  height: 400px;
  background: var(--primaryblue);
  position: relative;
}
.clothkq .grid {
  overflow: visible;
}

.clothkq-text {
  animation: slideleft 1s ease-in;
}
.clothkq h1 {
  font-weight: 400;
  font-size: 40px;
  margin: 15px 0;
}

.grid {
  display: grid;

  grid-template-columns: 2fr 1fr;
  max-width: 960px;
  margin: 0 auto;
  height: 100%;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

.layout {
  background: white;
  color: #333;
  border-radius: 10px;
  padding: 5px 10px;
  transform: rotateZ(5deg);
  box-shadow: 5px 5px rgba(0, 0, 0, 0.2);
  opacity: 0.95;
  z-index: 100;
  animation: slideright 1s ease-in;
}
.layout h2 {
  font-weight: 400;
}

.layout input[type="text"],
.layout input[type="email"] {
  padding: 0 5px;
  border: 0;
  border-bottom: 1px solid #333;
  text-transform: capitalize;
  width: 100%;
}
.layout input:focus {
  outline: none;
}
.layout:hover {
  background: white;
  color: #333;
  border-radius: 10px;
  padding: 5px 10px;
  box-shadow: 0 0;
  position: relative;
  top: 60px;
  box-shadow: 0 3px rgba(0, 0, 0, 0.2);
  height: 350px;
  transform: none;
  transition-duration: 3s;
}
.clothkq::before,
.clothkq::after {
  content: "";
  position: absolute;
  height: 80px;
  bottom: -70px;
  right: 0;
  left: 0;
  background-color: white;

  transform: skewY(-2deg);
  -webkit-transform: skewY(-2deg);
  -moz-transform: skewY(-2deg);
  -ms-transform: skewY(-2deg);
}
.button {
  display: inline-block;
  border: none;
  border-radius: 5px;
  background: #047aed;
  padding: 10px 20px;
  color: white;
  cursor: pointer;
}
.button:hover {
  background-color: #65affa;
}
.read {
  background-color: transparent;
  border: 1px #fff solid;
  display: inline-block;
  border-radius: 5px;
  padding: 10px 20px;
  color: white;
  cursor: pointer;
}
.read:hover {
  transform: scale(0.98);
}

.form {
  margin: 20px 0;
}
/* stats */
.stats {
  padding-top: 73px;
  animation: slidebottom 1s ease-in;
}
.stats i {
  font-size: 30px;
}

.move {
  width: 600px;
  margin: auto;
  padding-bottom: 25px;
}
.statsheading {
  text-align: center;
}
.text {
  text-align: center;
}
.grid-3 {
  grid-template-columns: repeat(3, 1fr);
  justify-items: center;
}

.stats .grid h3 {
  font-size: 35px;
  font-weight: 400;
}

.stats .grid p {
  font-size: 20px;
}

/* CARDS */

.codest {
  margin: 50px auto;
}
.container.cde {
  display: grid;

  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, 1fr);
  max-width: 960px;
  margin: 0 auto;
  height: 100%;
  align-items: center;
  justify-content: center;
  gap: 20px;
}
.blue {
  background-color: #06223e;
  color: #fff;
  grid-column: 1/3;
  grid-row: 1/3;
  grid-auto-rows: minmax(150px auto);
  padding: 10px 10px;
  border-radius: 15px 0 15px 0;
}
.blue > h3 {
  text-decoration: underline;
  font-weight: 700;
}

.card {
  background-color: #fff;
  box-shadow: 2px 2px rgba(0, 0, 0, 0.2);
  padding: 3px;
  padding-left: 5px;
  border-radius: 5px;
  font-size: 15px;
  margin: 15px;
  font-weight: 400;
}

.class {
  /* border: 1px solid black; */
  display: grid;
  margin-top: auto;
  background: linear-gradient(to right, #056cd3, #98c5f2);
  grid-template-columns: 2fr 1fr;
  grid-template-rows: 300px;
  overflow: hidden;
}
.trophy {
  height: 100%;
  width: 100%;
}

.certify .text {
  color: #fff;
  padding: auto 0;
  margin: auto 0;

  width: 100%;
}

.flexbox {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin-top: 2px;
  text-align: center;

  padding: 10px;
}
.car img {
  margin: 5px auto;
  padding: 10px;
  width: 90px;
  height: 100px;
  background-color: #fff;
  box-shadow: 2px 2px rgba(0, 0, 0, 0.2);

  border-radius: 5px;
  font-size: 15px;
  margin: 5px;
  padding-top: 10px;
}

.languages h2 {
  margin-top: 50px;
}
.languages h4 {
  font-weight: 300;
  text-transform: capitalize;
  padding: 5px 0;
}
.languages {
  margin-bottom: 30px;
}
.car {
  transition: transform 0.2s ease-in;
}

.car:hover {
  transform: translateY(-15px);
}

/* FOOTER */
.footer {
  background: #06223e;
  padding: 60px 0;
  color: #fff;
  font-size: 12px;
}

.footer a {
  color: #fff;
  font-size: small;
  font-weight: 300;
}
.containery {
  max-width: 2000px;
  margin: 0 auto;

  padding: 0 40px;
}
.footer .social a {
  margin: 0 10px;
}

/* faeatures */
.featuresgrid {
  display: grid;

  grid-template-columns: 2fr 1fr;

  max-width: 1100px;
  margin: 0 auto;
  height: 100%;
  align-items: center;
  justify-content: center;
  gap: 20px;

  background-color: var(--primaryblue);

  padding: 0 40px;
}

.features-head {
  background-color: #047aed;
  color: #fff;
}
.features-head h1 {
  font-size: 40px;
  font-weight: 300;
}

.fa-university,
.fa-book {
  color: #fff;
  padding: 40px;
  justify-self: flex-end;
}

/* main */

.maing {
  max-width: 1100px;
}
.main {
  background-color: #fff;
  padding: 40px 0;
  margin: 0 auto;
  height: 100%;
  align-items: center;
  justify-content: center;
  gap: 20px;
}
.main img {
  justify-self: flex-end;
  width: 300px;
}
.grid > div p {
  font-size: small;
}
.mosaic-layout {
  background-color: #98c5f2;
  margin: 0px auto;
  align-items: center;
  justify-content: center;
  padding: 40px 0;
  padding-top: 60px;
}
#mosaic > div {
  background-color: var(--secondaryblue);
  padding: 30px;
}

#mosaic {
  color: #fff;
  display: grid;
  padding: 20px auto;
  margin: 0 auto;
  margin-bottom: 100px;
  max-width: 960px;
  grid-template-columns: repeat(6, 1fr);
  grid-auto-rows: minmax(70px, auto);

  grid-gap: 10px;
}
.one {
  grid-column: 1/3;
  grid-row: 1/5;
}
.two {
  grid-column: 3/7;
  grid-row: 1/3;
}
.three {
  grid-column: 3/5;
  grid-row: 3/5;
}
.four {
  grid-column: 5/7;
  grid-row: 3/7;
}
.five {
  grid-column: 1/5;
  grid-row: 5/7;
}

/* docs */
.document {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  margin: 0, auto;
  max-width: 1100px;
  justify-items: center;
  gap: 10px;
  grid-auto-rows: minmax(150px auto);
}
.document a {
  color: #fff;
}
.cardy {
  border: 1px solid white;
  padding: 30px;
  background-color: #06325d;
  border-radius: 5px;
  font-size: 15px;
  font-weight: 400;
  width: 250px;
  color: #fff;
}

.cady {
  grid-column: 2/4;
  background-color: #61acf8;
  border-radius: 15px 0 15px 0;
  color: #06223e;
  font-weight: 400;
  padding: 10px 30px;
  margin: 0 auto;
}

.cady p {
  font-size: 14px;
}

.carrdy {
  grid-column: 2/4;
  grid-row: 2/5;
  background-color: #61acf8;
  border-radius: 15px 0 15px 0;
  font-size: 15px;
  font-weight: 400;
  padding: 10px 30px;
  color: #06223e;
  margin: 0 auto;
}
.carrdy p {
  font-size: 13px;
}

.docmain {
  padding: 40px 0;
  margin: 50px auto;
  height: 100%;
  max-width: 960px;
  gap: 20px;
  align-items: center;
  justify-content: center;
}
.docmain nav li {
  font-size: 17px;
  padding-bottom: 5px;
  margin-bottom: 5px;
  border-bottom: 1px solid #047aed;
}
.docmain a:hover {
  font-weight: bold;
}
.cady a {
  background-color: #044281;
  border-radius: 2.5px;
  font-size: 13px;

  border: 1px #fff solid;
  display: inline-block;
  border-radius: 5px;
  padding: 10px 20px;
  color: white;
  cursor: pointer;
}
.cady a:hover {
  transform: scale(0.98);
  transition: all 0.1s;
}
.document {
  margin: 0 auto;
}
.docmain h3 {
  margin: 20px auto;
  font-size: 15px;
}
.hello {
  background-color: rgb(219, 215, 215);
  font-size: small;

  padding: 5px 10px;
  font-weight: bold;
}

@keyframes slideleft {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(0%);
  }
}
@keyframes slideright {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(0%);
  }
}

@keyframes slidetop {
  0% {
    transform: translateY(-100%);
  }
  100% {
    transform: translateY(0%);
  }
}

@keyframes slidebottom {
  0% {
    transform: translateY(100%);
  }
  100% {
    transform: translateY(0%);
  }
}
/* TABLETS */

@media (max-width: 748px) {
  .container.grid,
  .grid-3,
  .class,
  .cde,
  .container.cde {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
  }
  .stats {
    padding-top: 100px;
  }

  .layout {
    background: white;
    color: #333;
    border-radius: 10px;
    padding: 5px 10px;
    transform: none;
    box-shadow: 5px 5px rgba(0, 0, 0, 0.2);
    opacity: 0.95;
    z-index: 100;
    width: 250px;
  }
  .class {
    display: grid;
    margin-top: auto;
    grid-template-columns: 2fr 1fr;
  }
  .layout:hover {
    background: white;
    color: #333;
    border-radius: 10px;
    padding: 5px 10px;
    box-shadow: 0 0;
    position: relative;
    top: 10px;
    box-shadow: 0 3px rgba(0, 0, 0, 0.2);
    height: auto;
    transform: none;
  }
  .move {
    width: auto;
  }

  .certify h2 {
    padding-top: 20px;
  }
  .certify p {
    padding: 0 20px;
  }

  .car img {
    margin: 5px 5px;
    padding: 10px;
    width: 90px;
    height: 90px;
  }
  .languages h4 {
    font-size: 13px;
  }

  .read {
    padding: 8px;
    margin: 20px;
    font-size: 13px;
    background: #044281;
  }
  #mosaic {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    margin: 0 10px;
  }
  .mosaic-layout {
    background-color: white;
  }
  .maing {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    /* text-align: center; */
  }
  .main img {
    width: 200px;
  }
  .maxwidth h1 {
    font-size: 30px;
  }
  p {
    font-size: medium;
  }
  .document {
    display: grid;
    flex-direction: 1fr 1fr 1fr;
    max-width: 650px;
  }
  .cardy {
    margin: 0 auto;
    margin-left: 10px;
    margin-bottom: 30px;
    width: 300px;
  }

  .carrdy {
    grid-column: 1/4;
  }
  .cady,
  .carrdy {
    margin: 0 10px;
  }
  .docmain a {
    font-size: medium;
  }
  .docmain p {
    font-size: 16px;
  }
}

/* MOBILE */
@media (max-width: 600px) {
  .navbar {
    height: 110px;
  }
  .navbar .flex {
    flex-direction: column;
  }

  .navbar ul {
    padding: 10px;
    background-color: rgba(0, 0, 0, 0.1);
    border-radius: 5px 5px 5px 5px;
  }
  .navbar a:hover {
    background-color: rgba(0, 0, 0, 0);
    border-bottom: 1px black solid;
    border-radius: 0;
  }
  .move {
    width: auto;
  }
  .layout {
    background: white;
    color: #333;
    border-radius: 10px;
    padding: 5px 10px;
    transform: none;
    box-shadow: 3px 3px rgba(0, 0, 0, 0.2);
    opacity: 0.95;
    z-index: 100;
    width: 250px;

    /* margin-bottom: 90px; */
  }
  .layout:hover {
    background: white;
    color: #333;
    border-radius: 10px;
    padding: 5px 10px;
    box-shadow: 0 0;
    position: relative;
    top: 10px;
    box-shadow: 0 3px rgba(0, 0, 0, 0.2);
    height: auto;
    transform: none;
  }
  .clothkq {
    margin-bottom: 30px;
  }
  .text {
    font-size: 16px;
  }
  .my4,
  h3,
  p {
    font-size: 14px;
  }
  .read {
    padding: 5px;
    margin: 10px;
    font-size: 13px;
    background: #044281;
  }
  .text-secondary {
    font-size: 10px;
  }
  .class {
    display: grid;
    margin-top: auto;
    grid-template-columns: 2fr 1fr;
  }
  .certify h2 {
    font-size: 16px;
    padding-top: 10px;
  }
  .certify p {
    font-size: 13px;
    padding: 0 10px;
  }
  .trophy {
    height: 100%;
    width: 100%;
  }

  .certify .text {
    color: #fff;
    padding: auto 0;
    margin: auto 0;

    width: 100%;
  }
  .car img {
    margin: 5px 5px;
    padding: 10px;
    width: 80px;
    height: 80px;
  }
  .languages h4 {
    font-size: 13px;
  }
  /* features */
  .maxwidth {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-items: center;
  }
  .maxwidth h1 {
    margin-top: 30px;
    font-size: 28px;
  }
  .maing {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    text-align: center;
  }
  .main img {
    width: 200px;
  }
  #mosaic {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    margin: 0 10px;
  }
  .mosaic-layout {
    background-color: white;
  }

  p {
    font-size: 12px;
  }

  /* docs */
  .document {
    display: flex;
    flex-direction: column;
  }
  .cardy {
    margin: 0 auto;
    margin-bottom: 30px;
    width: 300px;
  }
  .cady,
  .carrdy {
    margin: 0 10px;
  }
  .docmain a {
    font-size: small;
  }
  .docmain p {
    font-size: 13px;
  }
}
